e12234c6b97eb2f5c7d916212c4f17a5aa046bf7
[xfstests-dev.git] / tests / generic / 006
1 #! /bin/bash
2 # FS QA Test No. 006
3 #
4 # permname
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 seqres=$RESULT_DIR/$seq
28 seqres=$RESULT_DIR/$seq
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=0        # success is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     cd /
39     rm -f $tmp.*
40     rm -rf $testdir/permname.$$
41     _cleanup_testdir
42 }
43
44 _count()
45 {
46     $AWK_PROG '
47         BEGIN   { count = 0 }
48                 { count ++ }
49         END     { print count " files created" }
50     '
51 }
52
53 # get standard environment, filters and checks
54 . ./common/rc
55 . ./common/filter
56
57 # real QA test starts here
58 _supported_fs generic
59 _supported_os IRIX Linux
60
61 _setup_testdir
62
63 mkdir $testdir/permname.$$
64
65 echo ""
66 echo "single thread permname"
67 echo "----------------------"
68 mkdir $testdir/permname.$$/a
69 cd $testdir/permname.$$/a
70 $here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
71 find . | _count
72
73 echo ""
74 echo "multi thread permname"
75 echo "----------------------"
76 mkdir $testdir/permname.$$/b
77 cd $testdir/permname.$$/b
78 $here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
79 find . | _count
80
81 exit